* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif
}

body {
    background-color: #f5f5dc;
}

.header {
    height: 100px;
    padding-top: 40px;
    position: relative;
}

.header__add-post-btn {
    width: 200px;
    height: 60px;
    padding: 10px;
    box-shadow: 2px 2px 10px rgb(154, 151, 151);
    position: absolute;
    top: calc(50% + 6px);
    left: 85%;
    transform: translateY(-50%);
    background-color: #f5f5dc;
    border: none;
    font-size: 18px;
}

.header__add-post-btn:hover {
    cursor: pointer;
}

.header__add-post-btn:active {
    transform: translateY(-50%) scale(.9);
}

h1 {
    text-align: center;
}

.overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(3px);
    z-index: 5;
    position: fixed;
}


.modal {
    border-radius: 5px;
    background-color: #f5f5dc;
    width: 500px;
    height: 350px;
    padding: 10px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-shadow: 2px 2px 10px rgb(154, 151, 151);
    display: flex;
    flex-direction: column;
    align-items: center;
    z-index: 10;
}

.modal__inputs {
    margin-top: 10px;
}

.modal__inputs label {
    display: block;
    text-align: center;
    margin-top: 10px;
    font-size: 18px;
}

.modal__inputs input,
.modal__inputs textarea {
    margin-top: 10px;
    display: block;
}

.modal__inputs input {
    height: 30px;
    width: 300px;
    outline: none;
    padding: 5px;
    border-radius: 10px;
    border: 1px solid black;
}

.modal__inputs input:focus {
    outline: 1px solid rgb(191, 126, 103);
    border: none;
}

.modal__inputs textarea {
    height: 100px;
    width: 300px;
    outline: none;
    padding: 5px;
    border-radius: 10px;
    border: 1px solid black;
    resize: none
}

.modal__inputs textarea:focus {
    outline: 1px solid rgb(191, 126, 103);
    border: none;
}

.modal__submit-btn {
    margin-top: 20px;
    width: 160px;
    height: 40px;
    padding: 10px;
    box-shadow: 2px 2px 10px rgb(154, 151, 151);
    background-color: #f5f5dc;
    border: none;
    font-size: 18px;
}

.modal__submit-btn:hover {
    cursor: pointer;
}

.modal__submit-btn:active {
    transform: scale(.9);
}

.modal__close-btn {
    position: absolute;
    top: 11px;
    right: 10px;
    width: 25px;
    height: 25px;
}

.modal__close-btn:hover {
    cursor: pointer;
}

.modal__close-btn:active {
    transform: scale(0.9);
}

.modal__close-btn:before,
.modal__close-btn:after {
    position: absolute;
    content: ' ';
    left: 11px;
    display: block;
    height: 25px;
    width: 2px;
    background-color: #000000;
}

.modal__close-btn:before {
    transform: rotate(45deg);
}

.modal__close-btn:after {
    transform: rotate(-45deg);
}

.cards {
    padding: 40px;
    min-height: 800px;
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-auto-rows: min-content;
    gap: 20px
}

.cards__card {
    padding: 10px;
    box-shadow: 2px 2px 10px rgb(154, 151, 151);
}

.user-info {
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 17px;
    font-style: italic;
}

.user-info__fullname {
    display: flex;
    gap: 3px;
}

.user-content__heading,
.user-content__text {
    margin-top: 10px;
}

.user-content__heading {
    text-align: center;
    font-weight: bold;
    font-size: 18px;
}

.user-content__text {
    font-size: 16px;
}

.user-info__btn-conteiner {
    display: flex;
    width: 50px;
}

.user-info__delete-btn {
    position: relative;
    left: 12px;
    width: 25px;
    height: 25px;
}

.user-info__delete-btn:hover {
    cursor: pointer;
}

.user-info__delete-btn:active {
    transform: scale(0.9);
}

.user-info__delete-btn:before,
.user-info__delete-btn:after {
    position: absolute;
    content: ' ';
    display: block;
    height: 25px;
    width: 2px;
    background-color: #000000;
}

.user-info__delete-btn:before {
    transform: rotate(45deg);
}

.user-info__delete-btn:after {
    transform: rotate(-45deg);
}

.user-info__edit-btn {
    width: 25px;
    height: 25px;
}

.user-info__edit-btn:hover {
    cursor: pointer;
}

.user-info__edit-btn:active {
    transform: scale(0.9);
}

.loader {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: fit-content;
    font-weight: bold;
    font-family: sans-serif;
    font-size: 30px;
    padding: 0 5px 8px 0;
    background: repeating-linear-gradient(90deg, currentColor 0 8%, #0000 0 10%) 200% 100%/200% 3px no-repeat;
    animation: l3 2s steps(6) infinite;
}

.loader:before {
    content: "Loading..."
}

@keyframes l3 {
    to {
        background-position: 80% 100%
    }
}